# survex.spec.  Generated from survex.spec.in by configure.
Summary: Cave Surveying Software
Name: survex
Vendor: The Survex Project
Version: 1.2.44
Release: 1%{?dist}
License: GPL
Group: Applications/Misc
Source: https://survex.com/software/%{version}/%{name}-%{version}.tar.gz
URL: https://survex.com/
Packager: Olly Betts <olly@survex.com>
# Fedora have removed gcc from the default build environment so add it here
BuildRequires: wxGTK3-devel, proj-devel, gcc-c++
Requires: wxGTK3, proj
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The development branch of Survex, a software suite to process, view, and
print cave survey data.  Survex is cross-platform (Linux/Unix, and
Microsoft Windows).  It includes English, French, German, Portuguese,
Catalan, and Spanish internationalisations. It can deal with extremely
large and complex datasets and can read survey data from many sources.

%prep
%setup

%build
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
./configure --prefix=/usr
make

%install
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p "%{buildroot}"
make install DESTDIR="%{buildroot}"
make -C vim vimdir=/usr/share/vim install DESTDIR="%{buildroot}"
# Move docs back into build tree to keep rpmbuild happy by letting
# it do the installing.
mv "%{buildroot}"/usr/share/doc/survex ./built-docs

%clean
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS TODO ChangeLog
%doc built-docs/*
%doc /usr/share/man/
/usr/bin/*
/usr/share/survex/
/usr/share/mime/
/usr/share/applications/survex-aven.desktop
/usr/share/gtksourceview-3.0/language-specs/survex.lang
/usr/share/icons/
/usr/share/vim/

%changelog
* Sat Feb 13 2021 James Begley <james@jmbegley.org.uk> - 1.2.44-1
- New upstream release

* Tue Apr 28 2020 James Begley <james@jmbegley.org.uk> - 1.2.43-2
- Drop proj-epsg dependancy (no longer available in fedora 32)

* Sun Mar 01 2020 James Begley <james@jmbegley.org.uk> - 1.2.43-1
- New upstream release

* Wed Sep 04 2019 James Begley <james@jmbegley.org.uk> - 1.2.42-1
- New upstream release

* Wed Jul 10 2019 James Begley <james@jmbegley.org.uk> - 1.2.41-1
- New upstream release

* Sat Jul 06 2019 James Begley <james@jmbegley.org.uk> - 1.2.40-1
- New upstream release

* Wed Mar 06 2019 James Begley <james@jmbegley.org.uk> - 1.2.38-1
- New upstream release

* Tue Nov 20 2018 James Begley <james@jmbegley.org.uk> - 1.2.37-1
- New upstream release

* Sun Nov 4 2018 James Begley <james@jmbegley.org.uk> - 1.2.36-2
- Update build requires for fedora 29

* Wed Jul 18 2018 James Begley <james@jmbegley.org.uk> - 1.2.36-1
- New upstream release

* Fri Jul 13 2018 James Begley <james@jmbegley.org.uk> - 1.2.35-1
- New upstream release

* Sat Mar 24 2018 James Begley <james@jmbegley.org.uk> - 1.2.34-1
- New upstream release

* Thu Mar 22 2018 James Begley <james@jmbegley.org.uk> - 1.2.33-1
- New upstream release

* Sat Jul 08 2017 James Begley <james@jmbegley.org.uk> - 1.2.32-1
- New upstream release

* Sun Jul 02 2017 James Begley <james@jmbegley.org.uk> - 1.2.31-1
- New upstream release

* Mon Oct 03 2016 James Begley <james@jmbegley.org.uk> - 1.2.30-1
- New upstream release

* Tue Sep 27 2016 James Begley <james@jmbegley.org.uk> - 1.2.29-1
- New upstream release

* Sat Sep 24 2016 James Begley <james@jmbegley.org.uk> - 1.2.28-1
- New upstream release

* Sun Jun 12 2016 James Begley <james@jmbegley.org.uk> - 1.2.27-1
- New upstream release

* Thu Jan 07 2016 James Begley <james@jmbegley.org.uk> - 1.2.26-1
- New upstream release

* Wed Jan 06 2016 James Begley <james@jmbegley.org.uk> - 1.2.25-1
- New upstream release

* Sat Nov 07 2015 James Begley <james@jmbegley.org.uk> - 1.2.24-1
- Initial copr build
